summarylogtreecommitdiffstats
path: root/hp2xx.install
diff options
context:
space:
mode:
Diffstat (limited to 'hp2xx.install')
-rw-r--r--hp2xx.install21
1 files changed, 21 insertions, 0 deletions
diff --git a/hp2xx.install b/hp2xx.install
new file mode 100644
index 000000000000..17d990a1c5a2
--- /dev/null
+++ b/hp2xx.install
@@ -0,0 +1,21 @@
+infodir=usr/share/info
+filelist=(hp2xx.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
+